Jump to content

pico joe

pico joe

Member Since 11 Jan 2013
Offline Last Active Today, 10:00 AM
-----

Topics I've Started

Updated Apple certificate means old OS X installers don’t work anymore

04 March 2016 - 06:39 AM

On February 14, something called the Apple Worldwide Developer Relations Intermediate Certificate expired. This sort of thing is typically routine; it was renewed and developers were advised to update their certificates so their Apple Wallet Passes, Mac apps, extensions, Safari push notifications, and App Store submissions would continue working properly.

There's one edge case for people who frequently troubleshoot and fix Macs, as pointed out by TidBits: old OS X installers downloaded from the Mac App Store before the certificate's expiration date will no longer work. This includes not just installers for El Capitan, but also downloaded installers for Yosemite, Mavericks, Mountain Lion, and Lion—every OS X installer issued using the Mac App Store. It also affects any USB install disks you've created using the downloaded installer.

You can easily re-download any installers you want using the Mac App Store, though for older OS X versions you'll need to make sure that the installer is listed in your purchase history. Also, note that you can't download a version of OS X that isn't compatible with the Mac you're downloading it on; my 2012 iMac can download everything back to Mountain Lion, but it refuses to download Lion. Keep this in mind if you have an extensive back catalog of old installers for archival reasons—as a workaround, setting your Mac's date to before February 14 should also allow older installers to work properly.

 

 

source:

http://arstechnica.c...t-work-anymore/

http://www.macrumors...by-certificate/

© 2016 InsanelyMac  |   News  |   Forum  |   Downloads  |   OSx86 Wiki  |   Mac Netbook  |   PHP hosting by CatN  |   Designed by Ed Gain  |   Logo by irfan  |   Privacy Policy